#[derive(thiserror::Error, Debug)]
pub enum GuiError {
    #[error(transparent)]
    Io(#[from] std::io::Error),

    #[error(transparent)]
    CrawlerError(#[from] crate::crawler::CrawlerError),

    #[error(transparent)]
    ExtractorError(#[from] crate::extractor::ExtractorError),

    #[error("{0}")]
    EframeError(String),

    #[error(transparent)]
    LoggerInitError(#[from] log::SetLoggerError),

    #[error(transparent)]
    InvalidUrl(#[from] url::ParseError),
}
